Package org.h2.test.store

# Class CalculateHashConstant

java.lang.Object
org.h2.test.store.CalculateHashConstant

All Implemented Interfaces:
  `Runnable`

public class CalculateHashConstant extends Object implements Runnable
Calculate the constant for the secondary / supplemental hash function, so that the hash function mixes the input bits as much as possible.

## Constructor Summary

Constructors
Constructor
Description
`CalculateHashConstant()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Run just this test.
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CalculateHashConstant

public CalculateHashConstant()

## Method Details

### main

public static void main(String... args) throws Exception
Run just this test.

Parameters:
  `args` - ignored
Throws:
  `Exception`

### run

public void run()

Specified by:
  `run` in interface `Runnable`